import React from 'react';
export declare enum UploadStates {
    INITIAL = "INITIAL",
    UPLOADING = "UPLOADING",
    DONE = "DONE"
}
export declare enum FileUploadTypes {
    AVATAR = "AVATAR",
    LOGOFRAME = "LOGOFRAME"
}
interface FileUploadComponentProps {
    name: string;
    buttonMessage: string;
    fileUrl: string;
    fileuploadType: FileUploadTypes;
    uploadState: UploadStates;
    avatarImg?: string;
    removeMessage?: string;
    fileTypesAllowed?: string[];
    maxSize?: number;
    uniqueId?: string;
    readonly?: boolean;
    replaced: boolean;
    message?: string | React.ReactNode;
    replacedMessage?: string;
    onChange: (fileData: FileList, event?: any) => void;
}
export declare const FileUploadComponent: React.FC<FileUploadComponentProps>;
export {};
