import * as React from 'react';
import { FileUploadTypes, UploadStates } from './FileUploadComponent';
interface FileUploadFormComponentProps {
    name: string;
    label: string;
    replaced: boolean;
    buttonMessage: string;
    replacedMessage?: string;
    disabled?: boolean;
    fileUrl: string;
    isRequired?: boolean;
    placeholder?: string;
    ariaLabel?: string;
    helperText?: string;
    maxItems?: number;
    avatarImg?: string;
    maxHeight?: string | number;
    removeMessage?: string;
    uploadState: UploadStates;
    fileuploadType: FileUploadTypes;
    fileTypesAllowed?: string[];
    maxSize?: number;
    readonly?: boolean;
    uniqueId?: string;
    message?: string | React.ReactNode;
    value?: string;
    onChange: (fileData: FileList, event?: any) => void;
    labelIcon?: any;
    formGroupProps?: any;
}
export declare const FileUploadFormComponent: React.FC<FileUploadFormComponentProps>;
export {};
